/*
Interactions

Testing BillingAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package interactions

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/interactions"
)

func Test_interactions_BillingAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test BillingAPIService CreateMediaBudget", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.BillingAPI.CreateMediaBudget(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService CreateMediaFee", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.BillingAPI.CreateMediaFee(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService GetMediaBudget", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var mediaBudgetId string

		resp, httpRes, err := apiClient.BillingAPI.GetMediaBudget(context.Background(), mediaBudgetId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService GetMediaBudgets", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.BillingAPI.GetMediaBudgets(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService GetMediaFee", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var mediaFeeId string

		resp, httpRes, err := apiClient.BillingAPI.GetMediaFee(context.Background(), mediaFeeId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService GetMediaFees", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		resp, httpRes, err := apiClient.BillingAPI.GetMediaFees(context.Background()).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService UpdateMediaBudget", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var mediaBudgetId string

		resp, httpRes, err := apiClient.BillingAPI.UpdateMediaBudget(context.Background(), mediaBudgetId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test BillingAPIService UpdateMediaFee", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var mediaFeeId string

		resp, httpRes, err := apiClient.BillingAPI.UpdateMediaFee(context.Background(), mediaFeeId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
